## visad.data.hdf5.hdf5objects
Class HDF5TreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          visad.data.hdf5.hdf5objects.HDF5TreeNode

All Implemented Interfaces:
  Cloneable, MutableTreeNode, Serializable, TreeNode

public class HDF5TreeNode
extends DefaultMutableTreeNode

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.tree.DefaultMutableTreeNode
``

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`HDF5TreeNode()` Creates a tree node that has no parent and no children, but which allows children.
`HDF5TreeNode(HDF5Object userObject)` Creates a tree node with no parent, no children, but which allows children, and initializes it with the specified user object.
`HDF5TreeNode(Object userObject, boolean allowsChildren)` Creates a tree node with no parent, no children, initialized with the specified user object, and that allows children only if specified.

Method Summary
`void` `printTree()` Print the tree information starting this node
`String` `toString()` Returns the result of sending `toString()` to this node's user object, or null if this node has no user object.

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5TreeNode

    public HDF5TreeNode()

  Creates a tree node that has no parent and no children, but which allows children.

### HDF5TreeNode

    public HDF5TreeNode(HDF5Object userObject)

  Creates a tree node with no parent, no children, but which allows children, and initializes it with the specified user object.

### HDF5TreeNode

    public HDF5TreeNode(Object userObject,
                        boolean allowsChildren)

  Creates a tree node with no parent, no children, initialized with the specified user object, and that allows children only if specified.

Method Detail

### printTree

    public void printTree()

  Print the tree information starting this node

### toString

    public String toString()

  Returns the result of sending `toString()` to this node's user object, or null if this node has no user object.

  See Also:
    `DefaultMutableTreeNode.getUserObject()`